"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UiServerStartedEvent = void 0;
function _pubsub() {
  const data = require("@teambit/pubsub");
  _pubsub = function () {
    return data;
  };
  return data;
}
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /* eslint-disable max-classes-per-file */
class UiServerStartedEventData {
  constructor(targetHost, targetPort, uiRoot) {
    this.targetHost = targetHost;
    this.targetPort = targetPort;
    this.uiRoot = uiRoot;
  }
}
class UiServerStartedEvent extends _pubsub().BitBaseEvent {
  constructor(timestamp, targetHost, targetPort, uiRoot) {
    super(UiServerStartedEvent.TYPE, '0.0.1', timestamp, new UiServerStartedEventData(targetHost, targetPort, uiRoot));
    this.timestamp = timestamp;
    this.targetHost = targetHost;
    this.targetPort = targetPort;
    this.uiRoot = uiRoot;
  }
}
exports.UiServerStartedEvent = UiServerStartedEvent;
_defineProperty(UiServerStartedEvent, "TYPE", 'ui-server-started');

//# sourceMappingURL=ui-server-started-event.js.map